View Issue Details

IDProjectCategoryView StatusLast Update
0002617SOGosogo-toolpublic2014-03-04 06:33
Reporterbuzzzo Assigned Tofrancis  
PriorityurgentSeveritycrashReproducibilityalways
Status resolvedResolutionfixed 
PlatformLinuxOSCentosOS Version6.5
Fixed in Version2.2.1 
Summary0002617: Sogo-tool crash when triying to set an autorespond
Description

I always encountered the crash when trying to enable the vacation.
Sogo version is the 2.2.0

Steps To Reproduce

Just try to add an out of office via sogo-tool

Additional Information

[sogo@mail1 bin]$ ./enable-autorespond.sh buzzz@gci.it
<0x0x26c0238[SOGoCache]> Cache cleanup interval set every 300.000000 seconds
<0x0x26c0238[SOGoCache]> Using host(s) 'localhost' as server(s)
<0x0x26c0988[LDAPSource]> WARNING: using old bindFields format - please update it
/usr/sbin/sogo-tool: Uncaught exception NSInvalidArgumentException, reason: -[SOGoSieveManager updateFiltersForLogin:authname:password:account:]: unrecognized selector sent to instance 0x2675358
./enable-autorespond.sh: line 9: 9681 Aborted (core dumped) /usr/sbin/sogo-tool user-preferences set defaults $1 -p /etc/sogo/sieveadm.passwd Vacation '{"enabled": 1, "endDate": 1334959200, "ignoreLists": 1, "autoReplyEmailAddresses": ["mcaz@gci.it"], "autoReplyText": "pippo", "daysBetweenResponse": "30", "endDateEnabled": 1}'

TagsNo tags attached.

Activities

buzzzo

buzzzo

2014-02-25 12:06

reporter   ~0006563

Reproducible should be changed to "always"

buzzzo

buzzzo

2014-02-26 13:38

reporter   ~0006572

Sorry, OS is : 6.5

francis

francis

2014-03-04 06:33

administrator   ~0006613

Fixed.

See https://github.com/inverse-inc/sogo/commit/1aabcf04b5d26471a62f97566bb3fd6911848f48

Issue History

Date Modified Username Field Change
2014-02-25 11:23 buzzzo New Issue
2014-02-25 12:06 buzzzo Note Added: 0006563
2014-02-26 03:22 Christian Mack Reproducibility sometimes => always
2014-02-26 13:38 buzzzo Note Added: 0006572
2014-02-27 04:58 Christian Mack OS Version 5.6 => 6.5
2014-03-04 06:33 francis Note Added: 0006613
2014-03-04 06:33 francis Status new => resolved
2014-03-04 06:33 francis Fixed in Version => 2.2.1
2014-03-04 06:33 francis Resolution open => fixed
2014-03-04 06:33 francis Assigned To => francis